package com.kaixed.kchat.database.entity;

import androidx.annotation.NonNull;

import io.objectbox.annotation.Entity;
import io.objectbox.annotation.Id;

/**
 * @Author: kaixed
 * @Date: 2024/5/23 13:51
 * @Description: TODO
 */
@Entity
public class ChatLists {
    @Id
    public long id;
    private String talkerId;
    private String nickname;
    private String avatarUrl;
    private String lastContent;
    private Long timestamp;
    private int unread;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getTalkerId() {
        return talkerId;
    }

    public void setTalkerId(String talkerId) {
        this.talkerId = talkerId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public String getLastContent() {
        return lastContent;
    }

    public void setLastContent(String lastContent) {
        this.lastContent = lastContent;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    public int getUnread() {
        return unread;
    }

    public void setUnread(int unread) {
        this.unread = unread;
    }

    @NonNull
    @Override
    public String toString() {
        return "ChatLists{" +
                "id=" + id +
                ", talkerId='" + talkerId + '\'' +
                ", nickname='" + nickname + '\'' +
                ", avatarUrl='" + avatarUrl + '\'' +
                ", lastContent='" + lastContent + '\'' +
                ", timestamp=" + timestamp +
                ", unread=" + unread +
                '}';
    }
}
